aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEric Robitaille <eric@vianet.ca>2014-11-21 21:16:32 +0800
committerEric Robitaille <eric@vianet.ca>2014-11-21 21:16:32 +0800
commit28b7dcc2041dfa945dc762f73f2524036517f328 (patch)
tree0c3b37a486a9cf50c892d84f89adc7f06d37f0af
parenteba3fca7bcc18952c62689f96d600725b9d45402 (diff)
downloadgo-tangerine-28b7dcc2041dfa945dc762f73f2524036517f328.tar.gz
go-tangerine-28b7dcc2041dfa945dc762f73f2524036517f328.tar.zst
go-tangerine-28b7dcc2041dfa945dc762f73f2524036517f328.zip
go get deps doesnt work with develop branch
-rwxr-xr-xinstall.sh18
1 files changed, 11 insertions, 7 deletions
diff --git a/install.sh b/install.sh
index 957306e75..30a3802e4 100755
--- a/install.sh
+++ b/install.sh
@@ -28,13 +28,17 @@ echo "changing branch to $branch"
cd $GOPATH/src/github.com/ethereum/go-ethereum
git checkout $branch
-
-echo "go get -u -d github.com/ethereum/go-ethereum/$path"
-go get -v -u -d github.com/ethereum/go-ethereum/$path
-if [ $? != 0 ]; then
- echo "go get failed"
- exit
-fi
+# installing package dependencies doesn't work for develop
+# branch as go get always pulls from master head
+# so build will continue to fail, but this installs locally
+# for people who git clone since go install will manage deps
+
+#echo "go get -u -d github.com/ethereum/go-ethereum/$path"
+#go get -v -u -d github.com/ethereum/go-ethereum/$path
+#if [ $? != 0 ]; then
+# echo "go get failed"
+# exit
+#fi
cd $GOPATH/src/github.com/ethereum/go-ethereum/$path